OGRE: OgreBites::ImGuiInputListener Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
OgreBites::ImGuiInputListener Struct Reference

`#include <OgreImGuiInputListener.h>`

Inheritance diagram for OgreBites::ImGuiInputListener:
[legend]

## Public Member Functions
| ImGuiInputListener ()
bool | buttonPressed (const ButtonEvent &evt) override
bool | buttonReleased (const ButtonEvent &evt) override
bool | keyPressed (const KeyboardEvent &evt) override
bool | keyReleased (const KeyboardEvent &evt) override
bool | mouseMoved (const MouseMotionEvent &evt) override
bool | mousePressed (const MouseButtonEvent &evt) override
bool | mouseReleased (const MouseButtonEvent &evt) override
bool | mouseWheelRolled (const MouseWheelEvent &evt) override
bool | textInput (const TextInputEvent &evt) override
Public Member Functions inherited from OgreBites::InputListener
virtual | ~InputListener ()
virtual bool | axisMoved (const AxisEvent &evt)
virtual void | frameRendered (const Ogre::FrameEvent &evt)
virtual bool | hatMoved (const HatEvent &evt)
virtual bool | touchMoved (const TouchFingerEvent &evt)
virtual bool | touchPressed (const TouchFingerEvent &evt)
virtual bool | touchReleased (const TouchFingerEvent &evt)

## Constructor & Destructor Documentation

## ◆ ImGuiInputListener()

OgreBites::ImGuiInputListener::ImGuiInputListener | ( |  | ) |

## Member Function Documentation

## ◆ keyPressed()

bool OgreBites::ImGuiInputListener::keyPressed | ( | const KeyboardEvent & | evt | ) |
| overridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ keyReleased()

bool OgreBites::ImGuiInputListener::keyReleased | ( | const KeyboardEvent & | evt | ) |
| overridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ mouseMoved()

bool OgreBites::ImGuiInputListener::mouseMoved | ( | const MouseMotionEvent & | evt | ) |
| overridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ mouseWheelRolled()

bool OgreBites::ImGuiInputListener::mouseWheelRolled | ( | const MouseWheelEvent & | evt | ) |
| overridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ mousePressed()

bool OgreBites::ImGuiInputListener::mousePressed | ( | const MouseButtonEvent & | evt | ) |
| overridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ mouseReleased()

bool OgreBites::ImGuiInputListener::mouseReleased | ( | const MouseButtonEvent & | evt | ) |
| overridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ textInput()

bool OgreBites::ImGuiInputListener::textInput | ( | const TextInputEvent & | evt | ) |
| overridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ buttonPressed()

bool OgreBites::ImGuiInputListener::buttonPressed | ( | const ButtonEvent & | evt | ) |
| overridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ buttonReleased()

bool OgreBites::ImGuiInputListener::buttonReleased | ( | const ButtonEvent & | evt | ) |
| overridevirtual

Reimplemented from OgreBites::InputListener.

The documentation for this struct was generated from the following file:

- OgreImGuiInputListener.h